Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Interface ITreePathLabelProvider

All Superinterfaces:
  IBaseLabelProvider

All Known Implementing Classes:
  DecoratingLabelProvider

    public interface ITreePathLabelProvider

extends IBaseLabelProvider

An extension to `ILabelProvider` that is given the path of the element being decorated, when it is available.

Since:
  3.2

Method Summary
`void` `updateLabel(ViewerLabel label, TreePath elementPath)` Updates the label for the given element.

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Method Detail

### updateLabel

    void updateLabel(ViewerLabel label,
                     TreePath elementPath)

  Updates the label for the given element.

  Parameters:
    `label` - the label to update
    `elementPath` - the path of the element being decorated

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.